Package com.smartgwt.logicalstructure.widgets.chart

# Class FacetChartLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawPaneLogicalStructure
com.smartgwt.logicalstructure.widgets.chart.FacetChartLogicalStructure

public class FacetChartLogicalStructure extends DrawPaneLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `allowBubbleGradients`
  `String[]`
  `allowedChartTypes`
  `String`
  `autoRotateLabels`
  `String`
  `autoScrollContent`
  `String`
  `autoScrollData`
  `String`
  `autoScrollDataApproach`
  `String`
  `autoSortBubblePoints`
  `String`
  `axisEndValue`
  `String`
  `axisStartValue`
  `String`
  `bandedBackground`
  `String`
  `bandedStandardDeviations`
  `String`
  `barMargin`
  `String`
  `brightenAllOnHover`
  `String`
  `brightenPercent`
  `String`
  `bubbleHoverMaxDistance`
  `String`
  `canMoveAxes`
  `String`
  `canZoom`
  `String`
  `centerLegend`
  `String`
  `centerTitle`
  `String`
  `chartRectMargin`
  `String`
  `chartType`
  `String`
  `clusterMarginRatio`
  `String`
  `colorMutePercent`
  `String`
  `colorScaleMetric`
  `CellRecord`
  `dataAsCellRecord`
  `CellRecord[]`
  `dataAsCellRecordArray`
  `String`
  `dataAxisLabelDelimiter`
  `String[]`
  `dataColors`
  `String`
  `dataFetchMode`
  `String`
  `dataLabelFacetsMargin`
  `String`
  `dataLabelToValueAxisMargin`
  `String`
  `dataLineType`
  `String`
  `dataMargin`
  `String`
  `dataPointSize`
  `String`
  `dataPointSizeScaling`
  `String`
  `dataPointSizeScalingPower`
  `Shadow`
  `dataValueHoverShadow`
  `String`
  `decimalPrecision`
  `String`
  `discontinuousLines`
  `String`
  `doughnutRatio`
  `String`
  `drawLegendBoundary`
  `String`
  `drawTitleBackground`
  `String`
  `drawTitleBoundary`
  `String`
  `editProxyConstructor`
  `String`
  `endValueMetric`
  `String`
  `errorBarColorMutePercent`
  `String`
  `errorBarWidth`
  `String`
  `extraAxisLabelAlign`
  `String[]`
  `extraAxisMetrics`
  `MetricSettings[]`
  `extraAxisSettings`
  `String[]`
  `facetFieldsAsStringArrayArray`
  `Facet`
  `facetsAsFacet`
  `Facet[]`
  `facetsAsFacetArray`
  `String`
  `filled`
  `String`
  `formatStringFacetValueIds`
  `String[]`
  `gradationGaps`
  `String`
  `gradationLabelPadding`
  `String`
  `gradationTickMarkLength`
  `String`
  `highErrorMetric`
  `String`
  `highlightDataValues`
  `String`
  `hoverLabelPadding`
  `String`
  `labelCollapseMode`
  `String`
  `legendAlign`
  `String`
  `legendItemPadding`
  `String`
  `legendMargin`
  `String`
  `legendPadding`
  `String`
  `legendRectHeight`
  `String`
  `legendSwatchSize`
  `String`
  `legendTextPadding`
  `String`
  `logBase`
  `String[]`
  `logGradations`
  `String`
  `logScale`
  `String`
  `logScalePointColor`
  `String`
  `logScalePointSize`
  `String`
  `lowErrorMetric`
  `String[]`
  `majorTickGradations`
  `String[]`
  `majorTickTimeIntervals`
  `String`
  `matchBarChartDataLineColor`
  `String`
  `maxBarThickness`
  `String`
  `maxDataPointSize`
  `String`
  `maxDataZIndex`
  `String`
  `metricFacetId`
  `String`
  `minBarThickness`
  `String`
  `minChartHeight`
  `String`
  `minChartWidth`
  `String`
  `minContentHeight`
  `String`
  `minContentWidth`
  `String`
  `minDataPointSize`
  `String`
  `minDataSpreadPercent`
  `String`
  `minLabelGap`
  `String`
  `minorTickLength`
  `String`
  `minXDataSpreadPercent`
  `String[]`
  `otherAxisGradationGaps`
  `String[]`
  `otherAxisGradationTimes`
  `String`
  `otherAxisPixelsPerGradation`
  `String`
  `padChartRectByCornerRadius`
  `String`
  `pieLabelAngleStart`
  `String`
  `pieLabelLineExtent`
  `String`
  `pieStartAngle`
  `String`
  `pixelsPerGradation`
  `String`
  `pointColorLogBase`
  `String[]`
  `pointShapes`
  `String`
  `pointSizeEndValue`
  `String`
  `pointSizeGradations`
  `String`
  `pointSizeLogBase`
  `String[]`
  `pointSizeLogGradations`
  `String`
  `pointSizeMetric`
  `String`
  `pointSizeStartValue`
  `String`
  `printZoomChart`
  `String`
  `probabilityMetric`
  `String`
  `proportional`
  `String`
  `proportionalAxisLabel`
  `String`
  `radarRotateLabels`
  `String`
  `radialLabelOffset`
  `String`
  `regressionLineType`
  `String`
  `regressionPolynomialDegree`
  `String`
  `rotateDataValues`
  `String`
  `rotateLabels`
  `String`
  `scaleEndColor`
  `String`
  `scaleStartColor`
  `String`
  `showBubbleLegendPerShape`
  `String`
  `showChartRect`
  `String`
  `showColorScaleLegend`
  `String`
  `showDataAxisLabel`
  `String`
  `showDataLabels`
  `String`
  `showDataPoints`
  `String`
  `showDataValues`
  `String`
  `showDataValuesMode`
  `String`
  `showDetailFields`
  `String`
  `showDoughnut`
  `String`
  `showExpectedValueLine`
  `String`
  `showGradationsOverData`
  `String`
  `showInlineLabels`
  `String`
  `showLegend`
  `String`
  `showMinorTicks`
  `String`
  `showPointSizeLegend`
  `String`
  `showRadarGradationLabels`
  `String`
  `showRegressionLine`
  `String`
  `showScatterLines`
  `String`
  `showShadows`
  `String`
  `showStandardDeviationLines`
  `String`
  `showStatisticsOverData`
  `String`
  `showTitle`
  `String`
  `showValueAxisLabel`
  `String`
  `showValueOnHover`
  `String`
  `showXTicks`
  `String`
  `showYTicks`
  `String`
  `stacked`
  `String[]`
  `standardDeviations`
  `String`
  `styleName`
  `String`
  `tickLength`
  `String`
  `tickMarkToValueAxisMargin`
  `String`
  `title`
  `String`
  `titleAlign`
  `String`
  `titlePadding`
  `String`
  `titleRectHeight`
  `String`
  `useAutoGradients`
  `String`
  `useLogGradations`
  `String`
  `useMultiplePointShapes`
  `String`
  `usePointSizeLogGradations`
  `String`
  `useSymmetricStandardDeviations`
  `String`
  `valueAxisMargin`
  `String`
  `valueProperty`
  `String`
  `valueTitle`
  `String`
  `xAxisEndValueAsString`
  `String`
  `xAxisMetric`
  `String`
  `xAxisStartValueAsString`
  `String`
  `yAxisLabelAlign`
  `String`
  `yAxisLabelPadding`
  `String`
  `yAxisMetric`
  `String`
  `zIndexMetric`
  `String`
  `zoomChartHeight`
  `String`
  `zoomEndValue`
  `String`
  `zoomLogScale`
  `String`
  `zoomMutePercent`
  `String`
  `zoomShowSelection`
  `String`
  `zoomStartPosition`
  `String`
  `zoomStartValue`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawPaneLogicalStructure

  `canDragScroll, drawingHeight, drawingType, drawingWidth, drawItems, gradients, rotation, translate, zoomLevel`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetChartLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allowBubbleGradients

    public String allowBubbleGradients

  - ### allowedChartTypes

    public String[] allowedChartTypes

  - ### autoRotateLabels

    public String autoRotateLabels

  - ### autoScrollContent

    public String autoScrollContent

  - ### autoScrollData

    public String autoScrollData

  - ### autoScrollDataApproach

    public String autoScrollDataApproach

  - ### autoSortBubblePoints

    public String autoSortBubblePoints

  - ### axisEndValue

    public String axisEndValue

  - ### axisStartValue

    public String axisStartValue

  - ### bandedBackground

    public String bandedBackground

  - ### bandedStandardDeviations

    public String bandedStandardDeviations

  - ### barMargin

    public String barMargin

  - ### brightenAllOnHover

    public String brightenAllOnHover

  - ### brightenPercent

    public String brightenPercent

  - ### bubbleHoverMaxDistance

    public String bubbleHoverMaxDistance

  - ### canMoveAxes

    public String canMoveAxes

  - ### canZoom

    public String canZoom

  - ### centerLegend

    public String centerLegend

  - ### centerTitle

    public String centerTitle

  - ### chartRectMargin

    public String chartRectMargin

  - ### chartType

    public String chartType

  - ### clusterMarginRatio

    public String clusterMarginRatio

  - ### colorMutePercent

    public String colorMutePercent

  - ### colorScaleMetric

    public String colorScaleMetric

  - ### dataAsCellRecordArray

    public CellRecord[] dataAsCellRecordArray

  - ### dataAsCellRecord

    public CellRecord dataAsCellRecord

  - ### dataAxisLabelDelimiter

    public String dataAxisLabelDelimiter

  - ### dataColors

    public String[] dataColors

  - ### dataFetchMode

    public String dataFetchMode

  - ### dataLabelFacetsMargin

    public String dataLabelFacetsMargin

  - ### dataLabelToValueAxisMargin

    public String dataLabelToValueAxisMargin

  - ### dataLineType

    public String dataLineType

  - ### dataMargin

    public String dataMargin

  - ### dataPointSize

    public String dataPointSize

  - ### dataPointSizeScaling

    public String dataPointSizeScaling

  - ### dataPointSizeScalingPower

    public String dataPointSizeScalingPower

  - ### dataValueHoverShadow

    public Shadow dataValueHoverShadow

  - ### decimalPrecision

    public String decimalPrecision

  - ### discontinuousLines

    public String discontinuousLines

  - ### doughnutRatio

    public String doughnutRatio

  - ### drawLegendBoundary

    public String drawLegendBoundary

  - ### drawTitleBackground

    public String drawTitleBackground

  - ### drawTitleBoundary

    public String drawTitleBoundary

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### endValueMetric

    public String endValueMetric

  - ### errorBarColorMutePercent

    public String errorBarColorMutePercent

  - ### errorBarWidth

    public String errorBarWidth

  - ### extraAxisLabelAlign

    public String extraAxisLabelAlign

  - ### extraAxisMetrics

    public String[] extraAxisMetrics

  - ### extraAxisSettings

    public MetricSettings[] extraAxisSettings

  - ### facetFieldsAsStringArrayArray

    public String[] facetFieldsAsStringArrayArray

  - ### facetsAsFacetArray

    public Facet[] facetsAsFacetArray

  - ### facetsAsFacet

    public Facet facetsAsFacet

  - ### filled

    public String filled

  - ### formatStringFacetValueIds

    public String formatStringFacetValueIds

  - ### gradationGaps

    public String[] gradationGaps

  - ### gradationLabelPadding

    public String gradationLabelPadding

  - ### gradationTickMarkLength

    public String gradationTickMarkLength

  - ### highErrorMetric

    public String highErrorMetric

  - ### highlightDataValues

    public String highlightDataValues

  - ### hoverLabelPadding

    public String hoverLabelPadding

  - ### labelCollapseMode

    public String labelCollapseMode

  - ### legendAlign

    public String legendAlign

  - ### legendItemPadding

    public String legendItemPadding

  - ### legendMargin

    public String legendMargin

  - ### legendPadding

    public String legendPadding

  - ### legendRectHeight

    public String legendRectHeight

  - ### legendSwatchSize

    public String legendSwatchSize

  - ### legendTextPadding

    public String legendTextPadding

  - ### logBase

    public String logBase

  - ### logGradations

    public String[] logGradations

  - ### logScale

    public String logScale

  - ### logScalePointColor

    public String logScalePointColor

  - ### logScalePointSize

    public String logScalePointSize

  - ### lowErrorMetric

    public String lowErrorMetric

  - ### majorTickGradations

    public String[] majorTickGradations

  - ### majorTickTimeIntervals

    public String[] majorTickTimeIntervals

  - ### matchBarChartDataLineColor

    public String matchBarChartDataLineColor

  - ### maxBarThickness

    public String maxBarThickness

  - ### maxDataPointSize

    public String maxDataPointSize

  - ### maxDataZIndex

    public String maxDataZIndex

  - ### metricFacetId

    public String metricFacetId

  - ### minBarThickness

    public String minBarThickness

  - ### minChartHeight

    public String minChartHeight

  - ### minChartWidth

    public String minChartWidth

  - ### minContentHeight

    public String minContentHeight

  - ### minContentWidth

    public String minContentWidth

  - ### minDataPointSize

    public String minDataPointSize

  - ### minDataSpreadPercent

    public String minDataSpreadPercent

  - ### minLabelGap

    public String minLabelGap

  - ### minorTickLength

    public String minorTickLength

  - ### minXDataSpreadPercent

    public String minXDataSpreadPercent

  - ### otherAxisGradationGaps

    public String[] otherAxisGradationGaps

  - ### otherAxisGradationTimes

    public String[] otherAxisGradationTimes

  - ### otherAxisPixelsPerGradation

    public String otherAxisPixelsPerGradation

  - ### padChartRectByCornerRadius

    public String padChartRectByCornerRadius

  - ### pieLabelAngleStart

    public String pieLabelAngleStart

  - ### pieLabelLineExtent

    public String pieLabelLineExtent

  - ### pieStartAngle

    public String pieStartAngle

  - ### pixelsPerGradation

    public String pixelsPerGradation

  - ### pointColorLogBase

    public String pointColorLogBase

  - ### pointShapes

    public String[] pointShapes

  - ### pointSizeEndValue

    public String pointSizeEndValue

  - ### pointSizeGradations

    public String pointSizeGradations

  - ### pointSizeLogBase

    public String pointSizeLogBase

  - ### pointSizeLogGradations

    public String[] pointSizeLogGradations

  - ### pointSizeMetric

    public String pointSizeMetric

  - ### pointSizeStartValue

    public String pointSizeStartValue

  - ### printZoomChart

    public String printZoomChart

  - ### probabilityMetric

    public String probabilityMetric

  - ### proportional

    public String proportional

  - ### proportionalAxisLabel

    public String proportionalAxisLabel

  - ### radarRotateLabels

    public String radarRotateLabels

  - ### radialLabelOffset

    public String radialLabelOffset

  - ### regressionLineType

    public String regressionLineType

  - ### regressionPolynomialDegree

    public String regressionPolynomialDegree

  - ### rotateDataValues

    public String rotateDataValues

  - ### rotateLabels

    public String rotateLabels

  - ### scaleEndColor

    public String scaleEndColor

  - ### scaleStartColor

    public String scaleStartColor

  - ### showBubbleLegendPerShape

    public String showBubbleLegendPerShape

  - ### showChartRect

    public String showChartRect

  - ### showColorScaleLegend

    public String showColorScaleLegend

  - ### showDataAxisLabel

    public String showDataAxisLabel

  - ### showDataLabels

    public String showDataLabels

  - ### showDataPoints

    public String showDataPoints

  - ### showDataValues

    public String showDataValues

  - ### showDataValuesMode

    public String showDataValuesMode

  - ### showDetailFields

    public String showDetailFields

  - ### showDoughnut

    public String showDoughnut

  - ### showExpectedValueLine

    public String showExpectedValueLine

  - ### showGradationsOverData

    public String showGradationsOverData

  - ### showInlineLabels

    public String showInlineLabels

  - ### showLegend

    public String showLegend

  - ### showMinorTicks

    public String showMinorTicks

  - ### showPointSizeLegend

    public String showPointSizeLegend

  - ### showRadarGradationLabels

    public String showRadarGradationLabels

  - ### showRegressionLine

    public String showRegressionLine

  - ### showScatterLines

    public String showScatterLines

  - ### showShadows

    public String showShadows

  - ### showStandardDeviationLines

    public String showStandardDeviationLines

  - ### showStatisticsOverData

    public String showStatisticsOverData

  - ### showTitle

    public String showTitle

  - ### showValueAxisLabel

    public String showValueAxisLabel

  - ### showValueOnHover

    public String showValueOnHover

  - ### showXTicks

    public String showXTicks

  - ### showYTicks

    public String showYTicks

  - ### stacked

    public String stacked

  - ### standardDeviations

    public String[] standardDeviations

  - ### styleName

    public String styleName

  - ### tickLength

    public String tickLength

  - ### tickMarkToValueAxisMargin

    public String tickMarkToValueAxisMargin

  - ### title

    public String title

  - ### titleAlign

    public String titleAlign

  - ### titlePadding

    public String titlePadding

  - ### titleRectHeight

    public String titleRectHeight

  - ### useAutoGradients

    public String useAutoGradients

  - ### useLogGradations

    public String useLogGradations

  - ### useMultiplePointShapes

    public String useMultiplePointShapes

  - ### usePointSizeLogGradations

    public String usePointSizeLogGradations

  - ### useSymmetricStandardDeviations

    public String useSymmetricStandardDeviations

  - ### valueAxisMargin

    public String valueAxisMargin

  - ### valueProperty

    public String valueProperty

  - ### valueTitle

    public String valueTitle

  - ### xAxisEndValueAsString

    public String xAxisEndValueAsString

  - ### xAxisMetric

    public String xAxisMetric

  - ### xAxisStartValueAsString

    public String xAxisStartValueAsString

  - ### yAxisLabelAlign

    public String yAxisLabelAlign

  - ### yAxisLabelPadding

    public String yAxisLabelPadding

  - ### yAxisMetric

    public String yAxisMetric

  - ### zIndexMetric

    public String zIndexMetric

  - ### zoomChartHeight

    public String zoomChartHeight

  - ### zoomEndValue

    public String zoomEndValue

  - ### zoomLogScale

    public String zoomLogScale

  - ### zoomMutePercent

    public String zoomMutePercent

  - ### zoomShowSelection

    public String zoomShowSelection

  - ### zoomStartPosition

    public String zoomStartPosition

  - ### zoomStartValue

    public String zoomStartValue

- ## Constructor Details

  - ### FacetChartLogicalStructure

    public FacetChartLogicalStructure()